# COMMENT: for now, useless, but but as a good practice before actually neeeded
cache:
    paths:
        - node_modules/

stages:
    - test
    - build
    - deploy

test:
    stage: test
    image: node:latest
    script:
        - npm test
    only:
        - develop
        - master

build:
    stage: build
    image: node:latest
    script:
        - echo 'Should build something here in the future...'
    only:
        - develop
        - master

deploy:
    stage: deploy
    image: node:latest
    script:
        - npm start
    only:
        - master
